> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tax categories

> List tax categories (Zenskar codes) for the organisation with pagination.



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /tax/categories
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /tax/categories:
    get:
      tags:
        - Tax
      summary: List tax categories
      description: >-
        List tax categories (Zenskar codes) for the organisation with
        pagination.
      operationId: List-tax-categories
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Pagination cursor (from previous response)
            title: Cursor
          description: Pagination cursor (from previous response)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Page size
            default: 10
            title: Limit
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResults_TaxCategoryResponseSchema_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResults_TaxCategoryResponseSchema_:
      properties:
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
          description: The cursor for the next page of results
          examples:
            - V2VsbCBhcmV1IGN1cmlvdxM=
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
          description: The cursor for the previous page of results
          examples:
            - GmBsbCBhcmV1IGN1cmlvdxM=
        total_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Count
          description: The total count of rows
        results:
          items:
            $ref: '#/components/schemas/TaxCategoryResponseSchema'
          type: array
          title: Results
          description: The results for the current page
      type: object
      required:
        - results
      title: PaginatedResults[TaxCategoryResponseSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaxCategoryResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Tax category ID
        organization_id:
          type: string
          format: uuid
          title: Organization Id
          description: Organisation ID
        code:
          type: string
          title: Code
          description: Zenskar tax code (e.g. ZEN_TAX_001)
        name:
          type: string
          title: Name
          description: Category name
        external_codes:
          additionalProperties: true
          type: object
          title: External Codes
          description: Provider external codes
      type: object
      required:
        - id
        - organization_id
        - code
        - name
      title: TaxCategoryResponseSchema
      description: Tax category in API responses.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````